:root {
    --custom_cursor_white: url('../img/custom_cursor_white.png'), auto;
    --custom_cursor_black: url('../img/custom_cursor_black.png'), auto;
}

@font-face {
    font-family: OpenSans-Regular;
    src: url("/../fonts/OpenSans-Regular.ttf");
    font-display: swap;
}

@font-face {
    font-family: OpenSans-Bold;
    src: url("/../fonts/OpenSans-Bold.ttf");
    font-display: swap;
}

@font-face {
    font-family: OpenSans-SemiBold;
    src: url("/../fonts/OpenSans-SemiBold.ttf");
    font-display: swap;
}

@font-face {
    font-family: OpenSans-Light;
    src: url("/../fonts/OpenSans-Light.ttf");
    font-display: swap;
}

/*Preloader Styles Start*/
#preloader {
    position: fixed;
    width: 100%;
    height: 100vh;
    z-index: 999999;
    background-color: white;
}

.first-wrapper {
    background-color: rgb(15, 15, 15);
    height: 100%;
	width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.square {
	position: absolute;
	width: 50px;
	height: 50px;
	top: 73px;
	left: 73px;
    margin-right: auto;
	margin-left: auto;
	background-color: rgba(255,255,255,0);
	border: 2px solid rgb(255, 255, 255);
}

.square-loader {
    position: relative;
    width: 200px;
    height: 200px;
    transform: rotate(45deg);
}

.first_square {
    animation: first_square_animate 1s infinite ease-in-out;
}

.second_square {
    animation: second_square 1s forwards, 
               second_square_animate 1s infinite ease-in-out;
}

.third_square {
	animation: third_square 1s forwards, 
               third_square_animate 1s infinite ease-in-out;
}	
		
@keyframes second_square {
    100% { width: 100px; height:100px; left: 48px; top: 48px; }
}

@keyframes third_square {
    100% { width: 150px; height:150px; left: 23px; top: 23px;}
}

@keyframes first_square_animate {
    0%   { transform: perspective(100px) rotateX(0deg) rotateY(0deg);} 
    50%  { transform: perspective(100px) rotateX(-180deg) rotateY(0deg); }
    100% { transform: perspective(100px) rotateX(-180deg) rotateY(-180deg); }
}

@keyframes second_square_animate {
    0%   { transform: perspective(200px) rotateX(0deg) rotateY(0deg); } 
    50%  { transform: perspective(200px) rotateX(180deg) rotateY(0deg); } 
    100% { transform: perspective(200px) rotateX(180deg) rotateY(180deg); }
}

@keyframes third_square_animate {
    0%   { transform: perspective(300px) rotateX(0deg) rotateY(0deg); } 
    50%  { transform: perspective(300px) rotateX(-180deg) rotateY(0deg); } 
    100% { transform: perspective(300px) rotateX(-180deg) rotateY(-180deg); }
}
/*Preloader Styles END*/

/*Scrollbar Styles Start*/
/* width */
::-webkit-scrollbar {
    width: 6px;
}

/* Track */
::-webkit-scrollbar-track {
    background: rgb(32, 32, 32); 
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: rgb(213, 62, 7) !important;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: rgb(213, 62, 7) !important; 
}
/*Scrollbar Styles END*/

head,
body {
    margin: 0px;
    padding: 0px;
}

body {
    overflow-y: hidden;
}

a {
    text-decoration: none;
}

/*Slider Styles Start*/
.swiper {
    width: 100%;
    height: 100%;
}

.swiper-slide {
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
}

.swiper-arrow-next,
.swiper-arrow-prev {
    position: absolute;
    display: inline-block;
    width: 30px;
    height: 40px;
    transform: translate(0, -50%);
        -ms-transform: translate(0, -50%);
        -moz-transform: translate(0, -50%);
        -webkit-transform: translate(0, -50%);
        -o-transform: translate(0, -50%);
    cursor: var(--custom_cursor_white);
    z-index: 15;
}

.swiper-arrow-next {
    top: 50%;
    right: -50px;
    transform: rotate(180deg);
}

.swiper-arrow-prev {
    top: calc(50% + 20px);
    left: -50px;
}

.swiper-arrow-next svg path,
.swiper-arrow-prev svg path {
    fill: #fff !important;
}
/*Slider Styles END*/

/* General Contents Styles START */
#about-content,
#services-content,
#portfolio-content,
#contact-content {
    position: relative;
    display: inline-block;
    width: 1350px;
    height: auto;
    margin-top: 80px;
    margin-bottom: 80px;
    left: 50%;
    transform: translate(-50%, 0);
        -ms-transform: translate(-50%, 0);
        -moz-transform: translate(-50%, 0);
        -webkit-transform: translate(-50%, 0);
        -o-transform: translate(-50%, 0);
}

#services-content {
    width: 1550px;
}

#portfolio-content {
    width: calc(100% - 60px);
}

#contact-content {
    margin-bottom: 30px;
}
/* General Contents Styles START */

/* Text Contents Styles START */
#about-text-content,
#services-text-content,
#portfolio-text-content,
#contact-text-content {
    position: relative;
    display: inline-block;
    width: 950px;
    height: auto;
    left: 50%;
    transform: translate(-50%, 0);
        -ms-transform: translate(-50%, 0);
        -moz-transform: translate(-50%, 0);
        -webkit-transform: translate(-50%, 0);
        -o-transform: translate(-50%, 0);
}

#about-text-content h1,
#portfolio-text-content h1,
#services-text-content h1,
#contact-text-content h1 {
    margin: 0px;
    text-align: center;
    font-family: OpenSans-SemiBold;
}

#about-text-content p,
#portfolio-text-content p,
#services-text-content p,
#contact-text-content p {
    margin-top: 30px;
    text-align: center;
    font-family: OpenSans-Regular;
}

#about-text-content h1,
#portfolio-text-content h1,
#about-text-content p,
#portfolio-text-content p  {
    color: rgb(0, 0, 0);
}

#services-text-content h1,
#contact-text-content h1,
#services-text-content p,
#contact-text-content p  {
    color: white;
}
/* Text Contents Styles END */

/* Lang Block Styles START */
#lang-block {
    position: absolute;
    display: inline-block;
    width: auto;
    height: auto;
    bottom: 60px;
    right: 110px;
}

.lang-item {
    position: relative;
    display: block;
    float: left;
    margin-left: 15px;
}

.lang-item:first-child {
    margin-left: 0px;
}

.lang-item a {
    font-family: OpenSans-Bold;
    color: rgb(255, 255, 255, 0.7);
    font-size: 16px;
    cursor: var(--custom_cursor_white);
    transition: 0.3s;
        -webkit-transition: 0.3s;
        -moz-transition: 0.3s;
        -o-transition: 0.3s;
}

.lang-item a:hover {
    color: rgb(213, 62, 7);
}

.lang-item a.active {
    color: rgb(213, 62, 7);
}
/* Lang Block Styles END */

/*Header Styles Start*/
#header {
    position: fixed;
    display: inline-block;
    width: 100%;
    height: 90px;
    background-color: rgb(255, 255, 255);
    box-shadow: 0 8px 24px -10px rgb(15, 15, 15, .2);
        -webkit-box-shadow: 0 8px 24px -10px rgb(15, 15, 15, .2);
        -moz-box-shadow: 0 8px 24px -10px rgb(15, 15, 15, .2);
    z-index: 999;
}

#header-content {
    position: relative;
    display: inline-block;
    width: calc(100% - 220px);
    height: 59px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
        -moz-transform: translate(-50%, -50%);
        -webkit-transform: translate(-50%, -50%);
        -o-transform: translate(-50%, -50%);
}

#logo-block {
    position: relative;
    display: inline-block;
    width: auto;
    height: auto;
}

#logo-block a {
    position: relative;
    display: inline-block;
    width: 100%;
    height: auto;
    cursor: var(--custom_cursor_black);
}

#logo-block a svg {
    position: relative;
    display: block;
    width: auto;
    height: 59px;
}

#logo-block a svg path {
    fill: rgb(15, 15, 15);
    transition: 0.3s;
        -webkit-transition: 0.3s;
        -moz-transition: 0.3s;
        -o-transition: 0.3s;
}

#logo-block a:hover svg path {
    fill:rgb(213, 62, 7);
}

#logo-block a img:hover {
    opacity: 0.5;
}

#nav-items-block {
    position: absolute;
    display: block;
    width: auto;
    height: auto;
    right: 0px;
    top: 50%;
    transform: translate(0, -50%);
        -ms-transform: translate(0, -50%);
        -moz-transform: translate(0, -50%);
        -webkit-transform: translate(0, -50%);
        -o-transform: translate(0, -50%);
}

.nav-item {
    position: relative;
    display: block;
    width: auto;
    height: auto;
    float: left;
    margin-left: 50px;
}

.nav-item:first-child {
    margin-left: 0px;
}

.nav-item a {
    position: relative;
    display: block;
    width: auto;
    height: auto;
    font-size: 22px;
    color: rgb(0, 0, 0);
    font-family: OpenSans-Regular;
    letter-spacing: 1px;
    cursor: var(--custom_cursor_black);
    transition: 0.3s;
        -webkit-transition: 0.3s;
        -moz-transition: 0.3s;
        -o-transition: 0.3s;
}

.nav-item a.active,
.nav-item a:hover {
    color: rgb(213, 62, 7);
}

.mobile-menu-triger {
    display: none;
}
/*Header Styles END*/

#mobile-nav-menu-block {
    display: none;
    background-color: rgba(0, 0, 0, 0);
}

#main-block {
    position: relative;
    display: inline-block;
    width: 100%;
    height: calc(100vh - 90px);
    margin-top: 90px;
    background-image: url('../img/main_bg.webp');
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}

.typewriter {
    position: relative;
    width: 855px;
    overflow: hidden;
    top: calc(50% - 65px);
    left: 50%;
    transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
        -moz-transform: translate(-50%, -50%);
        -webkit-transform: translate(-50%, -50%);
        -o-transform: translate(-50%, -50%);
}

/* DEMO-SPECIFIC STYLES */
.typewriter h1 {
    width: auto;
    height: auto;
    color: rgb(255, 255, 255);
    font-family: OpenSans-Bold;
    overflow: hidden;
    border-right: .15em solid rgb(213, 62, 7);
    white-space: nowrap;
    margin: 0 auto;
    letter-spacing: .15em;
    font-size: 55px;
}

.typewriter h1.active {
    animation: 
        typing 3s steps(40, end),
        blink-caret .5s step-end infinite;
}
  
/* The typing effect */
@keyframes typing {
    from { width: 0 }
    to { width: 100% }
}
  
/* The typewriter cursor effect */
@keyframes blink-caret {
    from, to { border-color: transparent }
    50% { border-color: rgb(213, 62, 7) }
}

.typewriter span {
    position: relative;
    display: inline-block;
    width: auto;
    height: auto;
    margin-top: 25px;
    color: rgb(255, 255, 255);
    font-size: 25px;
    font-family: OpenSans-Regular;
    letter-spacing: .10em;
    left: 50%;
    transform: translate(-50%, 0);
        -ms-transform: translate(-50%, 0);
        -moz-transform: translate(-50%, 0);
        -webkit-transform: translate(-50%, 0);
        -o-transform: translate(-50%, 0);
}

#main-navigation-block {
    position: absolute;
    display: inline-block;
    width: 100%;
    height: auto;
    bottom: 200px;
}

#main-navigation-content {
    position: relative;
    display: flex;
    width: 680px;
    flex-wrap: wrap;
    margin: 0 auto;
}

.main-navigation-item {
    position: relative;
    display: block;
    width: auto;
    float: left;
    margin-left: 25px;
    flex: 1;
    text-align: center;
    font-family: OpenSans-SemiBold;
    color: rgb(255, 255, 255);
    font-size: 30px;
    cursor: var(--custom_cursor_white);
    transition: 0.7s;
        -webkit-transition: 0.7s;
        -moz-transition: 0.7s;
        -o-transition: 0.7s;
}

.main-navigation-item:hover {
    opacity: 0.7;
}

.main-navigation-item:first-child {
    margin-left: 0;
    border: 2px solid rgb(255, 255, 255);
    padding: 15px 0px;
}

.main-navigation-item:last-child {
    padding: 17px 0px;
    background-color: rgb(213, 62, 7);
}

#main-to-about {
    position: absolute;
    display: inline-block;
    width: auto;
    height: auto;
    bottom: 60px;
    margin-left: 2px;
    left: 50%;
    transform: translate(-50%, 0);
        -ms-transform: translate(-50%, 0);
        -moz-transform: translate(-50%, 0);
        -webkit-transform: translate(-50%, 0);
        -o-transform: translate(-50%, 0);
}

#main-to-about a {
    position: relative;
    display: inline-block;
    width: 23px;
    height: 15px;
    cursor: var(--custom_cursor_white);
    transition: 0.7s;
        -webkit-transition: 0.7s;
        -moz-transition: 0.7s;
        -o-transition: 0.7s;
}

#main-to-about a:hover {
    opacity: 0.6;
}

#main-to-about a img {
    position: relative;
    display: inline-block;
    width: 100%;
    height: auto;
}

#about-block {
    position: relative;
    display: inline-block;
    width: 100%;
    height: auto;
}

#about-items-block {
    position: relative;
    display: flex;
    width: 100%;
    height: auto;
    margin-top: 60px;
}

.about-item {
    position: relative;
    display: block;
    width: calc((100% - 300px) / 3);
    height: auto;
    margin-left: 150px;
    float: left;
}

.about-item:first-child {
    margin-left: 0px;
}

.about-item img {
    position: relative;
    display: inline-block;
    width: 55px;
    height: auto;
    left: 50%;
    transform: translate(-50%, 0);
        -ms-transform: translate(-50%, 0);
        -moz-transform: translate(-50%, 0);
        -webkit-transform: translate(-50%, 0);
        -o-transform: translate(-50%, 0);
}

.about-item h3 {
    text-align: center;
    color: rgb(0, 0, 0, 0.7);
    font-family: OpenSans-Light;
}

.about-item p {
    text-align: center;
    color: rgb(0, 0, 0);
    font-family: OpenSans-Light;
}

#services-block {
    position: relative;
    display: inline-block;
    width: 100%;
    height: auto;
    background-color: rgb(15, 15, 15);
}

#services-items-block {
    position: relative;
    display: inline-block;
    width: 100%;
    height: auto;
}

.services-item {
    position: relative;
    display: inline-block;
    width: 100%;
    height: auto;
    min-height: 290px;
    max-height: 290px;
    margin-top: 35px;
    padding: 40px 0px 100px 0px;
    background-color: white;
    transition: 0.3s;
        -webkit-transition: 0.3s;
        -moz-transition: 0.3s;
        -o-transition: 0.3s;
}

.services-item img,
.services-item svg {
    position: relative;
    display: inline-block;
    width: 32px;
    height: 40px;
    left: 50%;
    transform: translate(-50%, 0);
        -ms-transform: translate(-50%, 0);
        -moz-transform: translate(-50%, 0);
        -webkit-transform: translate(-50%, 0);
        -o-transform: translate(-50%, 0);
    transition: 0.3s;
        -webkit-transition: 0.3s;
        -moz-transition: 0.3s;
        -o-transition: 0.3s;
}

.white-smartphone {
    display: none !important;
}

.services-item h3 {
    color: rgb(0, 0, 0, 0.8);
    text-align: center;
    font-family: OpenSans-light;
    transition: 0.3s;
        -webkit-transition: 0.3s;
        -moz-transition: 0.3s;
        -o-transition: 0.3s;
}

.services-item p {
    color: black;
    padding: 0px 25px 0px 25px;
    /* text-align: center; */
    text-align: justify;
    word-break: break-all;
    font-family: OpenSans-light;
    transition: 0.3s;
        -webkit-transition: 0.3s;
        -moz-transition: 0.3s;
        -o-transition: 0.3s;
}

.services-item a {
    position: absolute;
    display: inline-block;
    width: auto;
    height: auto;
    min-width: 166px;
    margin-bottom: 35px;
    padding: 10px 20px 10px 20px;
    bottom: 0px;
    color: black;
    font-family: OpenSans-light;
    text-align: center;
    cursor: var(--custom_cursor_white);
    border: 2px solid black;
    left: 50%;
    transform: translate(-50%, 0);
        -ms-transform: translate(-50%, 0);
        -moz-transform: translate(-50%, 0);
        -webkit-transform: translate(-50%, 0);
        -o-transform: translate(-50%, 0);
    transition: 0.3s;
        -webkit-transition: 0.3s;
        -moz-transition: 0.3s;
        -o-transition: 0.3s;
}

.services-item svg path {
    transition: 0.3s;
        -webkit-transition: 0.3s;
        -moz-transition: 0.3s;
        -o-transition: 0.3s;
}

.services-item a:hover {
    opacity: 0.7;
}

.services-item:hover {
    background-color: rgb(213,62,7);
}

.services-item:hover svg path {
    fill: white;
}

.services-item:hover .black-smartphone {
    display: none !important;
}

.services-item:hover .white-smartphone {
    display: inline-block !important;
}

.services-item:hover h3 {
    color: rgb(255, 255, 255, 0.8);
}

.services-item:hover p,
.services-item:hover a {
    color: rgb(255, 255, 255);
}

.services-item:hover a {
    border: 2px solid rgb(255, 255, 255);
}

#portfolio-block {
    position: relative;
    display: inline-block;
    width: 100%;
    height: auto;
    background-color: rgb(255, 255, 255);
}

#portfolio-items-block,
#more-portfolio-items-block {
    position: relative;
    display: inline-block;
    width: 100%;
    height: auto;
}

#more-portfolio-items-block {
    display: none;
}

.portfolio-item {
    position: relative;
    display: block;
    width: calc((100% - 60px) / 3);
    height: auto;
    margin-left: 30px;
    margin-top: 30px;
    float: left;
    background-color: rgb(245, 245, 245);
    transition: 0.3s;
        -webkit-transition: 0.3s;
        -moz-transition: 0.3s;
        -o-transition: 0.3s;
}

.portfolio-item:nth-child(3n+1) {
    margin-left: 0px;
}

.portfolio-item:hover {
    background-color: rgb(213, 62, 7);
}

.portfolio-item:hover h1 {
    color: rgb(255, 255, 255);
}

.portfolio-item a {
    position: relative;
    display: inline-block;
    width: 100%;
    height: auto;
    cursor: var(--custom_cursor_white);
}

.portfolio-item img {
    position: relative;
    display: inline-block;
    width: 100%;
    height: auto;
}

.portfolio-item-text {
    position: absolute;
    display: inline-block;
    width: 100%;
    height: 100%;
    margin: 0px;
    z-index: 1;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
        -moz-transform: translate(-50%, -50%);
        -webkit-transform: translate(-50%, -50%);
        -o-transform: translate(-50%, -50%);
}

.portfolio-item-text h1 {
    position: relative;
    display: inline-block;
    width: 100%;
    height: auto;
    margin: 0px;
    margin-top: 50px;
    text-align: center;
    font-size: 28px;
    color: rgb(0, 0, 0);
    font-family: OpenSans-Bold;
    transition: 0.3s;
        -webkit-transition: 0.3s;
        -moz-transition: 0.3s;
        -o-transition: 0.3s;
}

.only-ipad {
    display: none;
}

#view-all-projects {
    position: relative;
    display: inline-block;
    /* width: 74px; */
    width: auto;
    height: auto;
    margin-top: 80px;
    padding: 15px 50px 15px 50px;
    font-family: OpenSans-Bold;
    color: rgb(255, 255, 255);
    background-color: rgb(213, 62, 7);
    border-radius: 10px;
    cursor: var(--custom_cursor_black);
    text-align: center;
    text-transform: uppercase;
    left: 50%;
    transform: translate(-50%, 0);
        -ms-transform: translate(-50%, 0);
        -moz-transform: translate(-50%, 0);
        -webkit-transform: translate(-50%, 0);
        -o-transform: translate(-50%, 0);
    transition: 0.3s;
        -webkit-transition: 0.3s;
        -moz-transition: 0.3s;
        -o-transition: 0.3s;
}

#view-all-projects:hover {
    background-color: rgb(213, 62, 7, 0.9);
}

#contact-block {
    position: relative;
    display: inline-block;
    width: 100%;
    height: auto;
    background-image: url('../img/footer_bg.webp');
    /* background-image: url('../img/bac.jpg'); */
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}

#contact-items-block {
    position: relative;
    display: inline-block;
    width: 100%;
    height: auto;
    margin-top: 60px;
}

.contact-item {
    position: relative;
    display: block;
    width: calc((100% - 300px) / 3);
    height: auto;
    margin-left: 150px;
    float: left;
}

.contact-item:first-child {
    margin-left: 0px;
}

.contact-image-block {
    position: relative;
    display: inline-block;
    width: 105px;
    height: 105px;
    border-radius: 100%;
    background-color: rgb(213, 62, 7);
    left: 50%;
    transform: translate(-50%, 0);
        -ms-transform: translate(-50%, 0);
        -moz-transform: translate(-50%, 0);
        -webkit-transform: translate(-50%, 0);
        -o-transform: translate(-50%, 0);
}

.contact-image-block a {
    position: relative;
    display: inline-block;
    width: 100%;
    height: 100%;
    border-radius: 100%;
    cursor: var(--custom_cursor_white);
    transition: 0.3s;
        -webkit-transition: 0.3s;
        -moz-transition: 0.3s;
        -o-transition: 0.3s;
}

.contact-image-block a:hover {
    opacity: 0.6;
}

.contact-image-block svg {
    position: absolute;
    display: inline-block;
    width: 52.5px;
    height: 52.5px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
        -moz-transform: translate(-50%, -50%);
        -webkit-transform: translate(-50%, -50%);
        -o-transform: translate(-50%, -50%);
}

.contact-image-block svg path {
    fill: white;
}

.contact-item h3 {
    position: relative;
    text-align: center;
    font-weight: unset !important;
    color: rgb(255, 255, 255) !important;
    font-family: OpenSans-Light;
}

#contact-form-block {
    position: relative;
    display: inline-block;
    width: 100%;
    height: auto;
    margin-top: 70px;
}

.contact-inputs {
    position: relative;
    display: block;
    width: calc((100% - 115px) / 2);
    height: 55px;
    margin: 0px;
    padding: 0px;
    float: left;
    padding-left: 20px;
    padding-right: 20px;
    outline: none;
    border: none;
    border-radius: 15px;
    font-size: 17px;
    font-family: OpenSans-Light;
}

#first-input {
    margin-right: 35px;
}

#third-input {
    margin-top: 35px;
    float: right;
}

#contact-textarea {
    width: calc(100% - 40px) !important;
    height: 215px !important;
    margin-top: 35px;
    padding: 20px;
    resize: none;
}

#form-button {
    position: relative;
    display: block;
    width: auto;
    height: auto;
    margin-top: 28px;
    padding: 15px 50px 15px 50px;
    float: right;
    font-family: OpenSans-Bold;
    color: rgb(0, 0, 0);
    background-color: rgb(255, 255, 255);
    border-radius: 10px;
    cursor: var(--custom_cursor_white);
    transition: 0.3s;
        -webkit-transition: 0.3s;
        -moz-transition: 0.3s;
        -o-transition: 0.3s;
}

#form-button:hover {
    background-color: rgb(213, 62, 7);
    color: white;
}

.danger-notification {
    color: red !important;
    font-weight: bold !important;
}

.danger-notification::placeholder {
    color: red !important;
    font-weight: bold !important;
}

#copyright-block {
    position: relative;
    display: inline-block;
    width: 100%;
    height: auto;
    margin-top: 30px;
}

#copyright-block span,
#copyright-block-mobile span {
    position: relative;
    display: inline-block;
    width: auto;
    height: auto;
    font-family: OpenSans-Light;
    color: rgb(255, 255, 255);
    left: 50%;
    transform: translate(-50%, 0);
        -ms-transform: translate(-50%, 0);
        -moz-transform: translate(-50%, 0);
        -webkit-transform: translate(-50%, 0);
        -o-transform: translate(-50%, 0);
}

#copyright-block span:last-child,
#copyright-block-mobile span:last-child {
    margin-top: 3px;
}

#copyright-block-mobile {
    display: none;
}

@media(max-width: 1800px) {
    .portfolio-item-text h1 {
        margin-top: 30px;
    }
}

@media(max-width: 1700px) {
    #services-content {
        width: 1350px;
    }

    .services-item {
        min-height: 310px;
        max-height: 310px;
        margin-top: 35px;
        padding: 20px 0px 100px 0px;
    }
}

@media(max-width: 1500px) {
    #about-text-content,
    #services-text-content,
    #portfolio-text-content,
    #contact-text-content {
        width: 700px;
    }

    #about-content,
    #services-content,
    #contact-content {
        width: 1100px;
    }

    .portfolio-item-text h1 {
        margin-top: 20px;
        font-size: 26px;
    }
}

@media(max-width: 1366px) {
    #header {
        height: 70px;
    }

    #header-content {
        width: calc(100% - 100px);
        height: 44px;
    }

    #logo-block a svg {
        height: 44px;
    }

    .nav-item {
        margin-left: 40px;
    }

    .nav-item a {
        font-size: 17px;
    }

    #main-block {
        height: calc(100vh - 70px);
        margin-top: 70px;
    }

    .typewriter {
        width: 620px;
        top: calc(50% - 65px);
    }

    .typewriter h1 {
        font-size: 40px;
    }

    .typewriter span {
        margin-top: 25px;
        font-size: 17px;
    }

    #main-navigation-block {
        bottom: 220px;
    }

    #main-navigation-content {
        width: 355px;
    }

    #main-navigation-content a {
        font-size: 14px;
    }

    #main-to-about a {
        width: 21px;
        height: 13px;
    }

    #lang-block {
        right: 50px;
    }

    .lang-item a {
        font-size: 13px;
    }

    .portfolio-item-text h1 {
        font-size: 22px;
    }
}

@media(max-width: 1300px) {
    #services-content {
        width: calc(100% - 140px);
    }

    .portfolio-item {
        width: calc((100% - 30px) / 2);
        margin-left: 30px;
    }

    .portfolio-item:nth-child(3n+1) {
        margin-left: 30px;
    }

    .portfolio-item:nth-child(2n+1) {
        margin-left: 0px;
    }

    .only-ipad {
        display: inline-block;
    }

    #more-portfolio-items-block,
    #view-all-projects {
        display: none;
    }
}

@media(max-width: 1200px) {
    #about-text-content,
    #services-text-content,
    #portfolio-text-content,
    #contact-text-content {
        width: 600px;
    }

    #about-content,
    #services-content,
    #contact-content {
        width: 900px;
    }

    .about-item,
    .contact-item {
        width: calc((100% - 160px) / 3);
        margin-left: 80px;
    }
}

@media(max-width: 1050px) {
    #services-content {
        width: calc(100% - 180px);
    }

    .services-item h3 {
        margin-top: 10px;
        margin-bottom: 10px;
    }
}

@media(max-width: 1000px) {
    #about-items-block {
        display: flex;
        flex-wrap: wrap;
        width: calc(100% - 100px);
        left: 50%;
            transform: translate(-50%, 0);
            -ms-transform: translate(-50%, 0);
            -moz-transform: translate(-50%, 0);
            -webkit-transform: translate(-50%, 0);
            -o-transform: translate(-50%, 0);
    }

    .about-item {
        width: calc((100% - 40px) / 3);
        margin-left: 20px;
    }

    .about-item img {
        width: 40px;
    }

    .about-item h3 {
        font-size: 14px;
    }

    .about-item p {
        font-size: 12px;
    }

    #about-text-content h1,
    #portfolio-text-content h1,
    #services-text-content h1,
    #contact-text-content h1 {
        font-size: 24px;
    }

    #about-text-content p,
    #portfolio-text-content p,
    #services-text-content p,
    #contact-text-content p {
        font-size: 13px;
    }

    .services-item img {
        width: 46px;
    }

    #contact-items-block,
    #contact-form-block {
        margin-top: 50px;
    }

    .contact-item {
        width: calc(100% / 3) !important;
        margin-left: 0px !important;
    }

    .contact-image-block {
        width: 90px;
        height: 90px;
    }

    .contact-image-block svg {
        width: 40px;
        height: 40px;
    }

    .contact-item h3 {
        font-size: 15px;
    }

    .contact-inputs {
        font-size: 15px;
    }

    #contact-textarea {
        height: 185px !important;
    }

    #form-button {
        padding: 15px 40px 15px 40px;
        font-size: 15px;
    }

    #copyright-block span,
    #copyright-block-mobile span {
        font-size: 14px;
    }
}

@media(max-width: 950px) {
    #contact-content {
        width: calc(100% - 50px);
    }
}

@media(max-width: 900px) {
    .nav-item {
        margin-left: 20px;
    }

    #about-text-content,
    #services-text-content,
    #portfolio-text-content,
    #contact-text-content {
        width: 100%;
    }
    
    #about-content,
    #portfolio-content,
    #contact-content {
        width: calc(100% - 50px);
    }

    #about-items-block {
        width: 100%;
    }

    .portfolio-item:hover {
        background-color: rgb(245, 245, 245);
    }
    
    .portfolio-item:hover h1 {
        color: rgb(0, 0, 0);
    }
}

@media(max-width: 840px) {
    #services-content {
        width: 540px;
    }
}

@media(max-width: 767px) {
    #header {
        height: 50px;
    }

    #header-content {
        width: calc(100% - 50px);
        height: 34px;
    }

    #logo-block a svg {
        height: 34px;
    }

    .mobile-menu-triger {
        position: absolute;
        display: block;
        width: 25px;
        height: 20px;
        right: 0px;
        cursor: var(--custom_cursor_black);
        top: 50%;
        transform: translate(0, -50%);
            -ms-transform: translate(0, -50%);
            -moz-transform: translate(0, -50%);
            -webkit-transform: translate(0, -50%);
            -o-transform: translate(0, -50%);
    }
    
    .mobile-menu-triger span {
        position: absolute;
        display: block;
        width: 100%;
        height: 4px;
        border-radius: 15px;
        background-color: black;
        transition: 0.1s;
            -webkit-transition: 0.1s;
            -moz-transition: 0.1s;
            -o-transition: 0.1s;
    }
    
    .mobile-menu-triger span:nth-child(2) {
        top: 50%;
        transform: translate(0, -50%);
            -ms-transform: translate(0, -50%);
            -moz-transform: translate(0, -50%);
            -webkit-transform: translate(0, -50%);
            -o-transform: translate(0, -50%);
    }
    
    .mobile-menu-triger span:first-child {
        bottom: 0px;
    }

    .mobile-menu-triger.active {
        height: 25px !important;
    }

    .mobile-menu-triger.active span:first-child{
        transform: rotate(-45deg);
        top: 11px;
    }

    .mobile-menu-triger.active span:nth-child(2){
        display: none;
    }
    
    .mobile-menu-triger.active span:last-child{
        transform: rotate(45deg);
        top: 11px;
    }

    #nav-items-block {
        display: none;
    }

    #mobile-nav-menu-block.active {
        position: fixed;
        width: 100%;
        height: calc(100vh - 50px);
        top: 50px;
        background-color: rgba(0, 0, 0, 0.8);
        backdrop-filter: blur(3px);
        z-index: 99999;
    }

    #mobile-nav-items-block {
        position: absolute;
        display: block;
        width: auto;
        height: auto;
        top: calc(50% - 50px);
        left: 50%;
        transform: translate(-50%, -50%);
            -ms-transform: translate(-50%, -50%);
            -moz-transform: translate(-50%, -50%);
            -webkit-transform: translate(-50%, -50%);
            -o-transform: translate(-50%, -50%);
    }

    .mobile-nav-item {
        position: relative;
        display: block;
        width: 100%;
        height: auto;
        margin-top: 20px;
    }

    .mobile-nav-item:first-child {
        margin-top: 0px;
    }

    .mobile-nav-item a {
        position: relative;
        display: block;
        width: auto;
        height: auto;
        font-size: 22px;
        color: rgb(255, 255, 255);
        font-family: OpenSans-Regular;
        text-align: center;
        text-transform: uppercase;
        letter-spacing: 1px;
        cursor: var(--custom_cursor_black);
        transition: 0.3s;
            -webkit-transition: 0.3s;
            -moz-transition: 0.3s;
            -o-transition: 0.3s;
    }

    .mobile-nav-item a.active,
    .mobile-nav-item a:hover {
        color: rgb(213, 62, 7);
    }

    #main-block {
        height: calc(100vh - 50px);
        margin-top: 50px;
    }

    .typewriter {
        width: 465px;
    }

    .typewriter h1 {
        font-size: 30px;
    }

    .typewriter span {
        margin-top: 20px;
        font-size: 15px;
    }

    #main-navigation-block {
        bottom: 235px;
    }

    #main-navigation-content {
        width: 330px;
    }

    #main-navigation-content a {
        font-size: 12px;
    }

    #main-navigation-content a:first-child {
        padding: 13px 0px;
    }

    #main-navigation-content a:last-child {
        padding: 15px 0px;
    }

    #main-to-about a {
        width: 19px;
    }

    #lang-block {
        right: 25px;
    }

    .lang-item a {
        font-size: 12px;
    }
}

@media(max-width: 700px) {
    #about-content,
    #services-content,
    #portfolio-content,
    #contact-content {
        margin-top: 50px;
        margin-bottom: 50px;
    }

    #about-items-block {
        margin-top: 30px;
    }

    .about-item h3 {
        font-size: 14px;
    }

    .about-item p {
        font-size: 12px;
    }

    #about-text-content h1,
    #portfolio-text-content h1,
    #services-text-content h1,
    #contact-text-content h1 {
        font-size: 22px;
    }

    #about-text-content p,
    #portfolio-text-content p,
    #services-text-content p,
    #contact-text-content p {
        font-size: 12px;
    }

    #services-content {
        width: 435px;
    }

    .portfolio-item {
        width: 100%;
        margin-left: 0px;
    }

    #view-all-projects {
        margin-top: 40px;
        font-size: 13px;
    }

    .only-ipad {
        display: none;
    }

    #view-all-projects {
        display: inline-block;
    }

    .contact-image-block {
        width: 75px;
        height: 75px;
    }

    .contact-image-block svg {
        width: 32px;
        height: 32px;
    }

    #third-input {
        margin-top: 20px;
        width: calc(100% - 40px);
        left: 50%;
            transform: translate(-50%, 0);
            -ms-transform: translate(-50%, 0);
            -moz-transform: translate(-50%, 0);
            -webkit-transform: translate(-50%, 0);
            -o-transform: translate(-50%, 0);
    }

    #contact-textarea {
        margin-top: 20px;
    }

    #form-button {
        margin-top: 18px;
    }
}

@media(max-width: 580px) {
    #services-content {
        width: calc(100% - 140px);
    }

    #contact-content {
        margin-bottom: 25px;
    }

    #contact-items-block,
    #contact-form-block {
        margin-top: 30px;
    }

    .contact-item h3,
    .contact-inputs {
        font-size: 13px;
    }

    .contact-inputs {
        width: calc((100% - 90px) / 2);
    }

    #first-input {
        margin-right: 10px;
    }

    #third-input {
        margin-top: 10px;
    }

    #contact-textarea {
        width: calc(100% - 40px) !important;
        margin-top: 10px;
    }

    #form-button {
        margin-top: 8px;
        padding: 13px 30px 13px 30px;
        font-size: 13px;
    }

    #copyright-block {
        margin-top: 25px;
    }
}

@media(max-width: 540px) {
    .typewriter {
        width: 360px;
    }

    .typewriter h1 {
        font-size: 23px;
    }

    .typewriter span {
        margin-top: 18px;
        font-size: 12px;
    }

    #main-navigation-block {
        bottom: 265px;
    }

    #main-navigation-content {
        width: 290px;
    }

    #main-navigation-content a:first-child {
        padding: 12px 0px;
    }

    #main-navigation-content a:last-child {
        padding: 14px 0px;
    }

    #main-to-about,
    #lang-block {
        bottom: 50px;
    }

    #main-to-about a {
        width: 17px;
    }
}

@media(max-width: 500px) {
    .about-item h3 {
        font-size: 14px;
    }

    .about-item p {
        font-size: 12px;
    }

    #about-text-content h1,
    #portfolio-text-content h1,
    #services-text-content h1,
    #contact-text-content h1 {
        font-size: 21px;
    }

    #about-text-content p,
    #portfolio-text-content p,
    #services-text-content p,
    #contact-text-content p {
        font-size: 12px;
    }

    #about-content,
    #portfolio-content,
    #contact-content {
        width: calc(100% - 20px);
    }

    .about-item {
        width: calc((100% - 20px) / 3);
        margin-left: 10px;
    }

    .services-item {
        max-height: 250px;
        min-height: 250px;
    }

    .services-item h3 {
        font-size: 14px;
    }

    .services-item p {
        font-size: 12px;
    }

    .services-item a {
        font-size: 12px;
        min-width: 115px;
    }

    .services-item img {
        width: 40px;
    }

    #view-all-projects {
        font-size: 12px;
        padding: 15px 20px 15px 20px;
    }

    #contact-items-block,
    #contact-form-block {
        margin-top: 20px;
    }

    .contact-image-block {
        width: 54px;
        height: 54px;
    }

    .contact-image-block svg {
        width: 25px;
        height: 25px;
    }

    .contact-item h3,
    .contact-inputs {
        font-size: 12px;
    }

    .contact-inputs {
        height: 36px;
    }

    #contact-textarea {
        height: 125px !important;
        padding-top: 15px;
        padding-bottom: 15px;
    }

    #form-button {
        padding: 7px 20px 7px 20px;
        font-size: 12px;
    }

    #copyright-block {
        margin-top: 10px;
    }

    #copyright-block span,
    #copyright-block-mobile span {
        font-size: 12px;
    }
}

@media(max-width: 460px) {
    #about-items-block {
        display: inline-block;
        margin-top: 20px;
    }

    .about-item {
        width: 100%;
        margin-top: 15px;
        margin-left: 0px;
    }

    .about-item:first-child {
        margin-top: 0px;
    }

    .about-item img {
        width: 35px;
    }

    .about-item h3 {
        margin-top: 10px;
        margin-bottom: 10px;
    }

    .about-item p {
        position: relative;
        display: inline-block;
        width: calc(100% - 100px);
        height: auto;
        margin: 0px;
        left: 50%;
        transform: translate(-50%, 0);
            -ms-transform: translate(-50%, 0);
            -moz-transform: translate(-50%, 0);
            -webkit-transform: translate(-50%, 0);
            -o-transform: translate(-50%, 0);
    }

    .portfolio-item {
        margin-top: 15px;
    }

    #view-all-projects {
        font-size: 12px;
        padding: 14px 19px 14px 19px;
    }

    #about-content,
    #services-content,
    #portfolio-content,
    #contact-content {
        margin-top: 40px;
        margin-bottom: 40px;
    }
}

@media(max-width: 440px) {
    #services-content {
        width: calc(100% - 80px);
    }

    .swiper-arrow-prev {
        left: -35px;
    }

    .swiper-arrow-next {
        right: -35px;
    }
}

@media(max-width: 420px) {
    #header-content {
        width: calc(100% - 30px);
    }

    .typewriter {
        width: 325px;
    }

    .typewriter h1 {
        /* font-size: 21px; */
        font-size: 18px;
        border-right: 0px;
        text-align: center;
    }

    .typewriter h1.active {
        animation: typing 3s steps(40, end);
    }

    .typewriter span {
        margin-top: 10px;
        font-size: 12px;
    }

    #main-navigation-block {
        bottom: 275px;
    }

    #main-navigation-content {
        width: 260px;
    }

    #main-navigation-content a:first-child {
        padding: 10px 0px;
    }

    #main-navigation-content a:last-child {
        padding: 12px 0px;
    }

    #main-to-about,
    #lang-block {
        bottom: 40px;
    }

    #main-to-about a {
        width: 15px;
    }

    #lang-block {
        right: 15px;
    }

    .portfolio-item {
        margin-top: 10px;
    }

    .portfolio-item-text h1 {
        font-size: 17px;
    }

    #contact-block {
        min-height: calc(100vh - 50px);
        max-height: calc(100vh - 50px);
    }

    #copyright-block {
        display: none;
    }

    #copyright-block-mobile {
        position: absolute;
        display: inline-block;
        width: 100%;
        height: auto;
        bottom: 20px;
        left: 50%;
            transform: translate(-50%, 0);
            -ms-transform: translate(-50%, 0);
            -moz-transform: translate(-50%, 0);
            -webkit-transform: translate(-50%, 0);
            -o-transform: translate(-50%, 0);
    }
}

@media(max-height: 700px) {
    #main-navigation-block {
        bottom: 210px !important;
    }
}

@media (max-width: 600px) and (max-height: 670px) {
    #contact-block {
        min-height: 100vh;
        max-height: 100vh;
    }
}

@media (max-width: 600px) and (max-height: 640px) {
    #contact-items-block,
    #contact-form-block {
        margin-top: 10px;
    }

    #contact-textarea {
        height: 50px !important;
        padding-top: 10px;
        padding-bottom: 10px;
    }
}

@media(max-height: 600px) {
    #main-navigation-block {
        bottom: 180px !important;
    }
}

@media(max-height: 500px) {
    #main-navigation-block {
        bottom: 150px !important;
    }
}

@media(max-height: 400px) {
    #main-navigation-block {
        bottom: 120px !important;
    }
}

@media(max-height: 330px) {
    #main-navigation-block {
        bottom: 70px !important;
    }

    #main-to-about,
    #lang-block {
        bottom: 15px;
    }
}